Get a User's Groups
curl --request GET \
--url http://{host}:{port}/{contextPath}/identity/groups \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/identity/groups"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/identity/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": [
{
"id": "group1Id",
"name": "group1"
}
],
"groupUsers": [
{
"firstName": "firstName",
"lastName": "lastName",
"displayName": "firstName lastName",
"id": "anotherUserId"
}
]
}{
"type": "<string>",
"message": "<string>",
"code": 123
}身份
获取用户分组
Gets the groups of a user by id and includes all users that share a group with the given user.
GET
/
identity
/
groups
Get a User's Groups
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The id of the user to get the groups for.
⌘I